# Uses of Class
java.util.SplittableRandom

Packages that use SplittableRandom
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of SplittableRandom in java.util

Methods in java.util that return SplittableRandom
Modifier and Type
Method
Description
`SplittableRandom`
SplittableRandom.`split()`
Constructs and returns a new SplittableRandom instance that shares no mutable state with this instance.
`SplittableRandom`
SplittableRandom.`split(RandomGenerator.SplittableGenerator source)`
Returns a new pseudorandom number generator, split off from this one, that implements the `RandomGenerator` and `RandomGenerator.SplittableGenerator` interfaces.